summaryrefslogtreecommitdiffstats
path: root/games/scummvm/scummvm.SlackBuild
diff options
context:
space:
mode:
author Yalla-One2010-05-11 19:44:42 +0200
committer Robby Workman2010-05-11 19:44:42 +0200
commit31f288a0233058ebfa21f6799a269a1d8f6974e1 (patch)
treea140f94a4aa35898eacf7e6b37c8257c3e25f53c /games/scummvm/scummvm.SlackBuild
parent1bff4ad319e7d4747011f35a7eef07542728daeb (diff)
downloadslackbuilds-31f288a0233058ebfa21f6799a269a1d8f6974e1.tar.gz
games/scummvm: Updated for version 0.11.0
Diffstat (limited to 'games/scummvm/scummvm.SlackBuild')
-rw-r--r--games/scummvm/scummvm.SlackBuild52
1 files changed, 32 insertions, 20 deletions
diff --git a/games/scummvm/scummvm.SlackBuild b/games/scummvm/scummvm.SlackBuild
index c94be89bec..507dc99dae 100644
--- a/games/scummvm/scummvm.SlackBuild
+++ b/games/scummvm/scummvm.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for scummvm
# Copyright 2006 Halim Issa <yallaone@gmail.com>
+# Copyright 2008 Carlos Corbacho <carlos@strangeworlds.co.uk> (Slamd64 port)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,18 +23,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
PRGNAM=scummvm
-VERSION=0.9.1
+VERSION=0.11.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+JOBS=${JOBS:-1}
+DISTRO=${DISTRO:-slackware}
+
+if [ $DISTRO = slackware ]; then
+ PKGARCH=$ARCH
+else
+ PKGARCH=${ARCH}_${DISTRO}
+fi
+
+if [ $DISTRO = slamd64 ]; then
+ LIBDIRSUFFIX=64
+ SLKLDFLAGS="-L/usr/lib64"
+else
+ LIBDIRSUFFIX=
+ SLKLDFLAGS=
+fi
+
DOCS="AUTHORS COPYING NEWS README TODO"
case "$ARCH" in
@@ -46,7 +63,6 @@ case "$ARCH" in
powerpc) SLKCFLAGS="-O2"
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
;;
@@ -56,7 +72,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -67,23 +83,20 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--disable-debug \
- --enable-plugins \
- --enable-agi \
- --enable-cine \
- --enable-lure \
|| exit 1
-make || exit 1
+make -j$JOBS || exit 1
make install DESTDIR=$PKG || exit 1
-# The .desktop file and png icon for the menu is not being installed
-install -D -m 0644 backends/gp2x/build/scummvm.png \
- $PKG/usr/share/pixmaps/scummvm.png
+strip --strip-unneeded $PKG/usr/bin/scummvm 2> /dev/null
+
+# The .desktop file for the menu is not being installed
install -D -m 0644 dists/scummvm.desktop \
$PKG/usr/share/applications/scummvm.desktop
-# Fix the icon name and path
-sed -i s#'Icon=scummvm.xpm'#'Icon=/usr/share/pixmaps/scummvm.png'# \
- $PKG/usr/share/applications/scummvm.desktop || exit 1
+
+# Hardcode the location for the .desktop icon
+sed -i s%Icon=%Icon=/usr/share/pixmaps/% \
+ $PKG/usr/share/applications/scummvm.desktop
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
@@ -93,7 +106,7 @@ rm -rf $PKG/usr/share/doc
# Compress the man page(s)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/install
@@ -101,5 +114,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-strip --strip-unneeded $PKG/usr/bin/scummvm 2> /dev/null
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.tgz